For the complete documentation index, see llms.txt. This page is also available as Markdown.

List gateways in all locations

get
Authorizations
defguard_sessionstringRequired
Responses
200

All gateways.

application/json
addressstringRequired
certificate_expirystring · nullableOptional
certificate_serialstring · nullableOptional
connectedbooleanRequired
connected_atstring · nullableOptional
disconnected_atstring · nullableOptional
enabledbooleanRequired
idinteger · int64Required
location_idinteger · int64Required
location_namestringRequired
modified_atstring · date-timeRequired
modified_bystringRequired
namestringRequired
portinteger · int32Required
versionstring · nullableOptional
get/api/v1/gateway
GET /api/v1/gateway HTTP/1.1
Accept: */*
[
  {
    "address": "text",
    "certificate_expiry": null,
    "certificate_serial": null,
    "connected": true,
    "connected_at": null,
    "disconnected_at": null,
    "enabled": true,
    "id": 1,
    "location_id": 1,
    "location_name": "text",
    "modified_at": "2026-01-01T00:00:00.000Z",
    "modified_by": "text",
    "name": "text",
    "port": 1,
    "version": null
  }
]

Last updated

Was this helpful?